Package org.kapott.hbci.exceptions

## Class NoValueGivenException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.kapott.hbci.exceptions.HBCI_Exception
        - - org.kapott.hbci.exceptions.NoValueGivenException

All Implemented Interfaces:
  `java.io.Serializable`

    public final class NoValueGivenException
    extends HBCI_Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoValueGivenException​(java.lang.String path)`
`NoValueGivenException​(NoValueGivenException e)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getPath()`

### Methods inherited from class org.kapott.hbci.exceptions.HBCI_Exception

`applyLogFilter, isFatal, setFatal`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoValueGivenException

    public NoValueGivenException​(java.lang.String path)

#### NoValueGivenException

    public NoValueGivenException​(NoValueGivenException e)

### Method Detail

#### getPath

    public java.lang.String getPath()